Omniplex Docs

Tasks

These API endpoints are related to tasks on Omniplex

Get Task

GET
/users/{id}/tasks/{tid}

Gets a task. Returns the task data if this is successful

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

id*string

User ID

tid*string

The task ID

Query Parameters

task_key?string

The task key if required. This is used to authenticate the request.

Response Body

Success

application/json
  1. response
allow_unauthenticated?boolean

Whether the task can be accessed without authentication

created_at?string

The time the task was created.

Formatdate-time
expiry?unknown

The task expiry.

for_user?string

The user this task is for.

output?

The task output.

state?string

The tasks current state (pending/completed etc).

statuses?array<>

The task statuses.

task_id?string

The task ID.

task_name?string

The task name.

Example Request
curl -X GET 'https://spider.omniplex.gg/users/string/tasks/string'
Example Response
{  "allow_unauthenticated": true,  "created_at": "2019-08-24T14:15:22Z",  "expiry": null,  "for_user": "string",  "output": {    "property1": null,    "property2": null  },  "state": "string",  "statuses": [    {      "property1": null,      "property2": null    }  ],  "task_id": "string",  "task_name": "string"}